#include "CoreStoreCharactersFilterWidget.h"
#include "ESortingOption.h"
#include "ESortingOrder.h"
#include "StoreCharactersFiltersData.h"

class UCoreButtonWidget;

void UCoreStoreCharactersFilterWidget::OverrideDefaultFiltersAndSortingParams(bool defaultFilterAvailable, bool defaultFilterOwned, int32 sortingOptions, ESortingOption defaultSortingOption, ESortingOrder defaultSortingOrder)
{

}

void UCoreStoreCharactersFilterWidget::OnFilterOptionCheckBoxToggled()
{

}

void UCoreStoreCharactersFilterWidget::OnClearFiltersClicked(UCoreButtonWidget* buttonTarget)
{

}

FStoreCharactersFiltersData UCoreStoreCharactersFilterWidget::GetCurrentFiltersData() const
{
	return FStoreCharactersFiltersData{};
}

UCoreStoreCharactersFilterWidget::UCoreStoreCharactersFilterWidget()
{

}
